# 数据源配置
spring:
  redis:
    database: 1
    host: 192.168.234.101
    port: 6379
    password: 1234@abcd   # 密码（默认为空）
    timeout: 6000ms       # 连接超时时长（毫秒）
    lettuce:
      pool:
        max-active: 1000  # 连接池最大连接数（使用负值表示没有限制）
        max-wait: -1ms    # 连接池最大阻塞等待时间（使用负值表示没有限制）
        max-idle: 10      # 连接池中的最大空闲连接
        min-idle: 5       # 连接池中的最小空闲连接
  datasource:
    dynamic:
      type: com.zaxxer.hikari.HikariDataSource
      hikari:
        auto-commit: false
        connection-timeout: 30000
        idle-timeout: 25000
        login-timeout: 5
        max-lifetime: 30000
        read-only: false
        validation-timeout: 3000
        maximum-pool-size: 15
        minimum-idle: 5
        pool-name: DataxHikariCP
        connection-test-query: SELECT 1 FROM DUAL
        data-source-properties:
          cachePrepStmts: true
          prepStmtCacheSize: 250
          prepStmtCacheSqlLimit: 2048
          useServerPrepStmts: true
          useLocalSessionState: true
          rewriteBatchedStatements: true
          cacheResultSetMetadata: true
          cacheServerConfiguration: true
          elideSetAutoCommits: true
          maintainTimeStats: false
      primary: mysql
      datasource:
        mysql:
          driver-class-name: com.p6spy.engine.spy.P6SpyDriver
          url: jdbc:p6spy:mysql://192.168.234.100:3306/data_cloud?useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
          username: root
          password: 1234@abcd

mybatis-plus:
  mapper-locations: classpath*:mapper/*Mapper.xml
  type-aliases-package: cn.datax.service.data.factory.api.entity
  global-config:
    db-config:
      id-type: ASSIGN_ID
    banner: false
  configuration:
    map-underscore-to-camel-case: true
    cache-enabled: false
    call-setters-on-nulls: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

# spring security 配置
security:
  oauth2:
    client:
      access-token-uri: http://localhost:8612/auth/oauth/token
      user-authorization-uri: http://localhost:8612/auth/oauth/authorize
      client-id: datax
      client-secret: 123456
      scope: all
    resource:
      loadBalanced: true
      token-info-uri: http://localhost:8612/auth/oauth/check_token

# Swagger界面内容配置
swagger:
  title: API接口文档
  description: Api Documentation
  version: 1.0.0
  basePackage: cn.datax.service.data.factory.controller
  termsOfServiceUrl: http://www.baidu.com
  contact:
    name: yuwei
    url: http://www.baidu.com
    email: 312075478@qq.com